Bug 136311 - [xcin] unable to uninstall cleanly
[xcin] unable to uninstall cleanly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iiimf-le-xcin (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Leon Ho
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-10-19 05:56 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: iiimf-le-xcin-0.1.7-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 00:30:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-10-19 05:56:29 EDT
Description of problem:
After performing a clean installation of im-sdk and xcin LE,
immediately perform an uninstall, it is not able to remove everything
in the /usr/lib64/im dir.

[root@dhcp-198 zh_TW]# pwd
/usr/lib64/im/locale/zh_TW
[root@dhcp-198 zh_TW]# ls -la
总用量 16
drwxr-xr-x  2 root root 4096 10月 19 19:56 .
drwxr-xr-x  3 root root 4096 10月 19 19:56 ..

Version-Release number of selected component (if applicable):
im-sdk-12.1-1
iiimf-le-xcin-0.1.7-8.x86_64

How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh iiimf* (install im-sdk and iiimf-le-xcin)
2.rpm -e `rpm -qa |grep iiimf`
3.
  
Actual results:
Empty dir left behind

Expected results:
Everything gets removed.

Additional info:
Installing the im-sdk and uninstall works perfectly, its only after
installing xcin, the dir does not get removed.
Comment 1 Leon Ho 2004-10-19 06:06:25 EDT
Thanks for the report. 
Problem is the directory isn't owned by any package. I think it
happens in any archs, right?
Comment 2 Leon Ho 2004-10-20 00:01:08 EDT
Fixed in 0.1.7-9
Comment 3 Lawrence Lim 2004-11-03 00:30:57 EST
Confirmed fixed in iiimf-le-xcin-0.1.7-9.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.